Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77782 - httpd-devel: (apxs) config_vars.mk contains very bogus path information about build path
Summary: httpd-devel: (apxs) config_vars.mk contains very bogus path information about...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-13 15:43 UTC by Michael Stiller
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-13 15:59:18 UTC


Attachments (Terms of Use)

Description Michael Stiller 2002-11-13 15:43:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Linux 2.4.18-17.8.0 i686) Opera 6.1  [en]

Description of problem:
in the file config_vars.mk some bogus build path is used. This causes major problems if you try to use apxs, especially modules which try to use libtool.



Version-Release number of selected component (if applicable):
Red Hat Linux release 8.0 (Psyche) <- Ha! 
httpd-2.0.40-8
httpd-devel-2.0.40-8


How reproducible:
Always

Steps to Reproduce:
1. Try to compile an apache module which uses apxs and libtool, e.g. this one:
http://jakarta.apache.org/builds/jakarta-tomcat-connectors/jk/release/v1.2.0/rpms/tomcat-connectors-1.2.0-1jpp.src.rpm

rpm -ivh above-mentioned-rpm
rpmbuild --rebuild tomcat-connectors.spec

	

Actual Results:  /bin/sh /usr/src/build/147213-i386/BUILD/httpd-2.0.40/srclib/apr/libtool --silent --mode=compile gcc -I/usr/include/httpd -g -O2 -DHAVE_JNI -I /usr/java/j2sdk1.4.1_01/include -I /usr/java/j2sdk1.4.1_01/include/linux -I../common -D_REENTRANT  -c jk_jnicb.c 
/usr/src/build/147213-i386/BUILD/httpd-2.0.40/srclib/apr/libtool: /usr/src/build/147213-i386/BUILD/httpd-2.0.40/srclib/apr/libtool: No such file or directory
make[1]: *** [jk_jnicb.lo] Error 127
make[1]: Leaving directory `/usr/src/redhat/BUILD/jakarta-tomcat-connectors-jk-1.2.0-src/jk/native/jni'
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.72646 (%build)


Expected Results:  One should not include stupid build path's in release software. :-)

Comment 1 Michael Stiller 2002-11-13 15:59:11 UTC
A little mistake by me, the build command should be rpmbuild --bb


Comment 2 Joe Orton 2002-11-25 14:23:13 UTC
This was fixed in httpd-2.0.40-12; thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.